-- Customer specific once-script related to logcenter call: AAIT#29971
--
-- (c) 2012 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xAAIT#31432.lst
SET DEFINE OFF

BEGIN
FAC.initsession('NL'); 
END;
/

INSERT INTO ins_tab_discipline (ins_discipline_module,
                                ins_discipline_omschrijving,
                                ins_discipline_min_level)
    VALUES ('INS', 'Sensoren', 1);

INSERT INTO ins_disc_params (ins_discipline_key, ins_disc_params_type)
   SELECT ins_discipline_key, 1
     FROM ins_tab_discipline
    WHERE ins_discipline_omschrijving = 'Sensoren';

INSERT INTO ins_srtgroep (ins_discipline_key, ins_srtgroep_module, ins_srtgroep_omschrijving)
   SELECT ins_discipline_key, 'INS', 'Beweging'
     FROM ins_tab_discipline
    WHERE ins_discipline_omschrijving = 'Sensoren';

INSERT INTO ins_srtgroep (ins_discipline_key, ins_srtgroep_module, ins_srtgroep_omschrijving)
   SELECT ins_discipline_key, 'INS', 'Klimaat'
     FROM ins_tab_discipline
    WHERE ins_discipline_omschrijving = 'Sensoren';

INSERT INTO ins_srtgroep (ins_discipline_key, ins_srtgroep_module, ins_srtgroep_omschrijving)
   SELECT ins_discipline_key, 'INS', 'Beweging wp'
     FROM ins_tab_discipline
    WHERE ins_discipline_omschrijving = 'Sensoren';

UPDATE ins_srtdeel
   SET ins_srtgroep_key =
          (SELECT ins_srtgroep_key
             FROM ins_srtgroep
            WHERE ins_srtgroep_omschrijving = 'Beweging')
 WHERE ins_srtdeel_key IN (1381);

UPDATE ins_srtdeel
   SET ins_srtgroep_key =
          (SELECT ins_srtgroep_key
             FROM ins_srtgroep
            WHERE ins_srtgroep_omschrijving = 'Beweging wp')
 WHERE ins_srtdeel_key IN (1401);

UPDATE ins_srtdeel
   SET ins_srtgroep_key =
          (SELECT ins_srtgroep_key
             FROM ins_srtgroep
            WHERE ins_srtgroep_omschrijving = 'Klimaat')
 WHERE ins_srtdeel_key IN (1881, 1781);

UPDATE ins_deel
   SET ins_discipline_key =
          (SELECT ins_discipline_key
             FROM ins_tab_discipline
            WHERE ins_discipline_omschrijving = 'Sensoren')
 WHERE ins_srtdeel_key IN (1381, 1401, 1881, 1781);

UPDATE fac_setting
   SET fac_setting_pvalue =
          (SELECT ins_srtgroep_key
             FROM ins_srtgroep
            WHERE ins_srtgroep_omschrijving = 'Beweging')
 WHERE fac_setting_name = 'ins_occupationsensors_srtgroep_key';

INSERT INTO fac_groeprechten (fac_groep_key,
                              fac_functie_key,
                              ins_discipline_key,
                              fac_gebruiker_prs_level_read,
                              fac_gebruiker_alg_level_read,
                              fac_gebruiker_alg_level_write,
                              fac_gebruiker_prs_level_write)
   SELECT fac_groep_key,
          fac_functie_key,
          (SELECT ins_discipline_key
             FROM ins_tab_discipline
            WHERE ins_discipline_omschrijving = 'Sensoren'),
          fac_gebruiker_prs_level_read,
          fac_gebruiker_alg_level_read,
          fac_gebruiker_alg_level_write,
          fac_gebruiker_prs_level_write
     FROM fac_groeprechten
    WHERE ins_discipline_key = 301;
    

BEGIN adm.systrackscriptid('$Id$'); END;
/

COMMIT;
SPOOL OFF
